Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.web.beans.request.project
Class AbstractProjectBean

    java.lang.Object
      kieker.webgui.web.beans.request.project.AbstractProjectBean

Direct Known Subclasses:
  CopyProjectBean, ImportProjectBean, NewProjectBean, RenameProjectBean

    public abstract class AbstractProjectBean

extends Object

Author:
  Nils Christian Ehmke

Constructor Summary
`AbstractProjectBean()` Default constructor.

Method Summary
`javax.faces.component.UIComponent` | `getMessageTarget()`
`String` | `getProjectName()`
`void` | `initialize()` This method initializes the object.
`void` | `setMessageTarget(javax.faces.component.UIComponent messageTarget)`
`void` | `setProjectName(String projectName)`
`void` | `validateProjectName(javax.faces.context.FacesContext context, javax.faces.component.UIComponent toValidate, Object value)` This method makes sure that the given project name is a valid one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractProjectBean

    public AbstractProjectBean()

  Default constructor.

Method Detail

### initialize

    @PostConstruct
    public void initialize()

  This method initializes the object. Do not call this method manually. It will only be accessed by Spring.

### getProjectName

    public String getProjectName()

### setProjectName

    public void setProjectName(String projectName)

### getMessageTarget

    public javax.faces.component.UIComponent getMessageTarget()

### setMessageTarget

    public void setMessageTarget(javax.faces.component.UIComponent messageTarget)

### validateProjectName

    public void validateProjectName(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent toValidate,
                                    Object value)

  This method makes sure that the given project name is a valid one.

  Parameters:
    `context` - The faces context.
    `toValidate` - The component.
    `value` - The value to validate (the project name).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.